Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Business Components Domains Java API Reference 10g Release 3 (10.1.3) B16006-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Class BlobDomain

`java.lang.Object
oracle.jbo.domain.BaseLobDomain
oracle.jbo.domain.BlobDomain`

All Implemented Interfaces:
  oracle.jbo.domain.BlobDomainInterface, oracle.sql.CustomDatum, oracle.jbo.domain.DomainInterface, oracle.jbo.domain.LobInterface, oracle.jbo.domain.LobStreamInterface, oracle.jbo.domain.MarshalledDomain, oracle.jbo.domain.MutableDomainInterface, oracle.jdbc.internal.ObjectData, java.io.Serializable, oracle.jbo.domain.XMLDomainInterface

public class BlobDomain
extends BaseLobDomain
implements oracle.jbo.domain.LobStreamInterface, oracle.jbo.domain.XMLDomainInterface, java.io.Serializable

This class provides a lightweight wrapper for `oracle.sql.BLOB`, the Java representation of the BLOB database type. This wrapper allows an instance of the `oracle.sql.BLOB` to be used as a domain object.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`BlobDomain()` Constructor for this object.
`BlobDomain(oracle.sql.BLOB blob)` Constructor for this object.
`BlobDomain(oracle.sql.BLOB blob, byte[] blobData)` Creates an instance of this class with data as described in `blobData` and using the transaction context from `blob` to use the blob-locator in the database.
`BlobDomain(BlobDomain nblob, byte[] blobData)` Creates an instance of this class with data as described in `blobData` and using the transaction context from `blob` to use the blob-locator in the database.
`BlobDomain(byte[] data)` Constructor for this class.
`BlobDomain(oracle.svcmsg.ResponseValues respVals)`

Method Summary
`void` | `closeCharacterOutputStream()`
`static oracle.sql.BLOB` | `createEmptyBLOB(java.lang.Object context)` Creates an empty Blob object.
`boolean` | `equals(java.lang.Object obj)` Tests for equality between `this` and `obj`.
`java.io.OutputStream` | `getBinaryOutputStream()`
`java.io.InputStream` | `getBinaryStream()`
`int` | `getBufferSize()`
`byte[]` | `getBytes(long offset, int length)`
`int` | `getBytes(long pos, int length, byte[] buf)`
`java.io.Writer` | `getCharacterOutputStream()`
`long` | `getLength()`
`org.w3c.dom.Node` | `getXMLContentNode(org.w3c.dom.Document xmlDoc)` Creates the XML node in the given XML document for this domain's data.
`static oracle.jbo.domain.XMLDomainFactory` | `getXMLDomainFactory(java.lang.Class attrClass)` Internal: Applications should not use this method.
`protected java.lang.String` | `getXMLElementTag()` Returns this class name as an XML-element tag for this Struct domain object.
`void` | `prepareForDML(java.lang.Object context)` Internal: Applications should not use this method.
`java.lang.String` | `printXMLDefinition(java.util.Hashtable allDefs, java.io.PrintWriter pw, boolean bContainees)` Prints the DTD information for this domain in the given print writer.
`void` | `useBLOB(oracle.sql.BLOB nBlob)` Obselete

Methods inherited from class oracle.jbo.domain.BaseLobDomain
`closeCharacterStream, closeInputStream, closeOutputStream, getCharacterStream, getData, getInputStream, getInvokeDomainMethod, getOutputStream, getOwner, getOwnerAttributeIndex, getOwnerRow, getRemoteBufferSize, getRemoteIdString, getRemoteLength, getSize, getStorageByteArray, isCacheDataModified, loadFromDatabase, marshal, resetCachedData, saveToDatabase, saveToDatabase, setBytes, setContext, syncClientLob, syncServerLob, toByteArray, toDatum, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.domain.LobStreamInterface
`closeCharacterStream, closeInputStream, closeOutputStream, getCharacterStream, getInputStream, getOutputStream`

Methods inherited from interface oracle.jbo.domain.LobInterface
`getOwner, getOwnerAttributeIndex, getRemoteIdString, getSize, syncClientLob, syncServerLob`

Methods inherited from interface oracle.jbo.domain.DomainInterface
`getData, setContext`

Methods inherited from interface oracle.jbo.domain.BlobDomainInterface
`loadFromDatabase, saveToDatabase, saveToDatabase`

Constructor Detail

### BlobDomain

    public BlobDomain()

  Constructor for this object.

### BlobDomain

    public BlobDomain(oracle.sql.BLOB blob)

  Constructor for this object. This is for use by JDBC. This constructor uses the transaction context from `blob` to use the blob-locator in the database.
Parameters:
  `blob` - the BLOB from which to construct the BlobDomain.

### BlobDomain

    public BlobDomain(byte[] data)

  Constructor for this class. Creates an instance of this class with data as described in `blobData`.
Parameters:
  `data` - data for the BLOB.

### BlobDomain

    public BlobDomain(oracle.sql.BLOB blob,
                      byte[] blobData)

  Creates an instance of this class with data as described in `blobData` and using the transaction context from `blob` to use the blob-locator in the database.
Parameters:
  `blob` - transaction context for the BLOB locator, as a BLOB object.
  `blobData` - data for the BLOB.

### BlobDomain

    public BlobDomain(BlobDomain nblob,
                      byte[] blobData)

  Creates an instance of this class with data as described in `blobData` and using the transaction context from `blob` to use the blob-locator in the database.

  This constructor should be used by applications using the framework to create BlobDomain objects.

Parameters:
  `nblob` - transaction context for the BLOB locator as a BlobDomain object.
  `blobData` - data for the BLOB.

### BlobDomain

    public BlobDomain(oracle.svcmsg.ResponseValues respVals)

Method Detail

### useBLOB

    public void useBLOB(oracle.sql.BLOB nBlob)

  Obselete

### prepareForDML

    public void prepareForDML(java.lang.Object context)

  Internal: Applications should not use this method.
  Specified by:
    `prepareForDML` in interface `oracle.jbo.domain.BlobDomainInterface`
  Parameters:
    `context` - an internal framework context.

### equals

    public boolean equals(java.lang.Object obj)

  Tests for equality between `this` and `obj`. Converts all the data into a String and compares the two strings. This is a default implementation of equals which could be overridden to perform more scalable application-specific comparisons.
  Overrides:
    `equals` in class `BaseLobDomain`
  Parameters:
    `obj` - the data item to compare against.

### getXMLElementTag

    protected java.lang.String getXMLElementTag()

  Returns this class name as an XML-element tag for this Struct domain object. Override this method to return a custom XML-element tag for this domain.

### getXMLContentNode

    public org.w3c.dom.Node getXMLContentNode(org.w3c.dom.Document xmlDoc)

  Creates the XML node in the given XML document for this domain's data.
  Specified by:
    `getXMLContentNode` in interface `oracle.jbo.domain.XMLDomainInterface`
  Parameters:
    `xmlDoc` - name of the XML document.

### printXMLDefinition

    public java.lang.String printXMLDefinition(java.util.Hashtable allDefs,
                                               java.io.PrintWriter pw,
                                               boolean bContainees)

  Prints the DTD information for this domain in the given print writer. Returns the DTD string to be added to this domain's container entity/domain.
  Specified by:
    `printXMLDefinition` in interface `oracle.jbo.domain.XMLDomainInterface`
  Parameters:
    `allDefs` - name of hashtable containing key-value pairs of XML tags and their values.
    `pw` - printwriter on which the information should be printed.
    `bContainees` - whether this domain container has containees.

### getXMLDomainFactory

    public static oracle.jbo.domain.XMLDomainFactory getXMLDomainFactory(java.lang.Class attrClass)

  Internal: Applications should not use this method.

### createEmptyBLOB

    public static oracle.sql.BLOB createEmptyBLOB(java.lang.Object context)

  Creates an empty Blob object.
  Parameters:
    `context` - an internal framework context.

### getBinaryOutputStream

    public java.io.OutputStream getBinaryOutputStream()
                                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getBinaryStream

    public java.io.InputStream getBinaryStream()

### getBytes

    public byte[] getBytes(long offset,
                           int length)

### getLength

    public long getLength()

### getBufferSize

    public int getBufferSize()

### getBytes

    public int getBytes(long pos,
                        int length,
                        byte[] buf)

### getCharacterOutputStream

    public java.io.Writer getCharacterOutputStream()

  Specified by:
    `getCharacterOutputStream` in interface `oracle.jbo.domain.LobStreamInterface`

### closeCharacterOutputStream

    public void closeCharacterOutputStream()

  Specified by:
    `closeCharacterOutputStream` in interface `oracle.jbo.domain.LobStreamInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Business Components Domains Java API Reference 10g Release 3 (10.1.3) B16006-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.